Page MenuHomePhabricator

Add Spicerack module for Ganeti
Open, Needs TriagePublic

Description

Abstract operations support against Ganeti for Spicerack.

Event Timeline

crusnov created this task.Mar 19 2019, 5:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2019, 5:45 PM

As part of the MakeVM port, it was requested that this be pursued as a stretch goal.

After having spent some time with RAPI, aside from some niggly details around network interfaces, I believe that for example reimplementing gnt-instance wouldn't be too terribly complicated. RAPI is fairly low level but it maps largely to the params to the command line.

Upside of this is that python3-ganeti-rapi is already in stretch-backports.

Here is the REST API documentation for future reference: http://docs.ganeti.org/ganeti/2.9/html/rapi.html

crusnov moved this task from Backlog to In Progress on the SRE-tools board.Mar 19 2019, 6:12 PM
crusnov moved this task from In Progress to In Code Review on the SRE-tools board.Mar 27 2019, 6:24 PM
crusnov moved this task from In Progress to Pending on the User-crusnov board.Apr 23 2019, 10:21 PM
crusnov moved this task from Pending to Complete on the User-crusnov board.May 1 2019, 6:47 PM